Loading...
Searching...
No Matches
Interrupter Class Reference

Deprecated wrapper class with the same interface as HoudiniInterrupter, however it does not derive from openvdb::util::NullInterrupter. Intended for backwards-compatibility only. More...

`#include <openvdb_houdini/Utils.h>`

## Public Member Functions

| Interrupter (const char *title=nullptr)
void | start (const char *name=nullptr)
| Signal the start of an interruptible operation.
void | end ()
| Signal the end of an interruptible operation.
bool | wasInterrupted (int percent=-1)
| Check if an interruptible operation should be aborted.
openvdb::util::NullInterrupter & | interrupter ()
| Return a reference to the base class of the stored interrupter.

## Detailed Description

Deprecated wrapper class with the same interface as HoudiniInterrupter, however it does not derive from openvdb::util::NullInterrupter. Intended for backwards-compatibility only.

## Constructor & Destructor Documentation

## Interrupter()

Interrupter | ( | const char * | title = nullptr | ) |

inline explicit

Deprecated
  "openvdb_houdini::Interrupter has been deprecated, use openvdb_houdini::HoudiniInterrupter"

## Member Function Documentation

## end()

void end | ( |  | ) |

inline

Signal the end of an interruptible operation.

## interrupter()

openvdb::util::NullInterrupter & interrupter | ( |  | ) |

inline

Return a reference to the base class of the stored interrupter.

## start()

void start | ( | const char * | name = nullptr | ) |

inline

Signal the start of an interruptible operation.

Parameters

  name | an optional descriptive name for the operation

## wasInterrupted()

bool wasInterrupted | ( | int | percent = -1 | ) |

inline

Check if an interruptible operation should be aborted.

Parameters

  percent | an optional (when >= 0) percentage indicating the fraction of the operation that has been completed